<?php 
	#Display Everywhere Left
	register_sidebar(array(
		'name' 			=>	'Display Everywhere Left',
		'id'			=>	'display-everywhere-sidebar-left',
		'description'	=>	esc_html__("Common sidebar that appears on the left.","citrus"),
		'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
		'after_widget' 	=> 	'</aside>',
		'before_title' 	=> 	'<h3 class="widgettitle">',
		'after_title' 	=> 	'<span></span></h3>'));

	#Display Everywhere Right
	register_sidebar(array(
		'name' 			=>	'Display Everywhere Right',
		'id'			=>	'display-everywhere-sidebar-right',
		'description'	=>	esc_html__("Common sidebar that appears on the right.","citrus"),
		'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
		'after_widget' 	=> 	'</aside>',
		'before_title' 	=> 	'<h3 class="widgettitle">',
		'after_title' 	=> 	'<span></span></h3>'));

	#Custom Widgets for Sidebars
	$widgets_sidebars = dttheme_option('widgetarea','sidebars');
	$widgets_sidebars = is_array($widgets_sidebars) ? array_unique($widgets_sidebars) : array();
    $widgets_sidebars = array_filter($widgets_sidebars);
    foreach ($widgets_sidebars as $key => $value) {
    	$id = mb_convert_case($value, MB_CASE_LOWER, "UTF-8");
    	$id = str_replace(" ", "-", $id);

    	register_sidebar(array(
		'name' 			=>	$value,
		'id'			=>	$id,
		'description'   =>  esc_html__("A unique sidebar that is created in Admin panel for left, right and both sidebars","citrus"),
		'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
		'after_widget' 	=> 	'</aside>',
		'before_title' 	=> 	'<h3 class="widgettitle">',
		'after_title' 	=> 	'</h3>'));
    }

	
	#Shop Everywhere Sidebar
	if( class_exists('woocommerce')	):
		#Left Sidebar
		register_sidebar(array(
			'name' 			=>	'Shop Everywhere Left',
			'id'			=>	'shop-everywhere-sidebar-left',
			'description'   =>  esc_html__("Shop page unique sidebar that appears on the left.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
			
		#Right Sidebar
		register_sidebar(array(
			'name' 			=>	'Shop Everywhere Right',
			'id'			=>	'shop-everywhere-sidebar-right',
			'description'   =>  esc_html__("Shop page unique sidebar that appears on the right.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
	endif;	
	
	#Post Archives Sidebar
	$post_archives_layout = dttheme_option('specialty','post-archives-layout');
	$post_archives_layout = !empty($post_archives_layout) ? $post_archives_layout : "content-full-width";
	if( $post_archives_layout != "content-full-width" ){
		if( $post_archives_layout == "with-left-sidebar" || $post_archives_layout == "both-sidebar" ){
			register_sidebar(array(
				'name' 			=>	esc_html__("Post Archives Sidebar Left",'citrus'),
				'id'			=>	'post-archives-sidebar-left',
				'description'   =>  esc_html__("Tag archives sidebar that appears on the left.","citrus"),
				'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
				'after_widget' 	=> 	'</aside>',
				'before_title' 	=> 	'<h3 class="widgettitle">',
				'after_title' 	=> 	'</h3>'));
		}
		if( $post_archives_layout == "with-right-sidebar" || $post_archives_layout == "both-sidebar"){
			register_sidebar(array(
				'name' 			=>	esc_html__("Post Archives Sidebar Right",'citrus'),
				'id'			=>	'post-archives-sidebar-right',
				'description'   =>  esc_html__("Tag archives sidebar that appears on the right.","citrus"),
				'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
				'after_widget' 	=> 	'</aside>',
				'before_title' 	=> 	'<h3 class="widgettitle">',
				'after_title' 	=> 	'</h3>'));
		}
	}	
	
	#Portfolio Archives Sidebar
	if( class_exists( 'DTCorePlugin' ) ):
		$portfolio_archives_layout = dttheme_option('specialty','portfolio-archives-layout');
		$portfolio_archives_layout = !empty($portfolio_archives_layout) ? $portfolio_archives_layout : "content-full-width";
		if( $portfolio_archives_layout != "content-full-width" ){
			if( $portfolio_archives_layout == "with-left-sidebar" || $portfolio_archives_layout == "both-sidebar" ){
				register_sidebar(array(
					'name' 			=>	esc_html__("Portfolio Archives Sidebar Left",'citrus'),
					'id'			=>	'custom-post-portfolio-archives-sidebar-left',
					'description'   =>  esc_html__("Portfolio archives sidebar that appears on the left.","citrus"),
					'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
					'after_widget' 	=> 	'</aside>',
					'before_title' 	=> 	'<h3 class="widgettitle">',
					'after_title' 	=> 	'</h3>'));
			}
			if( $portfolio_archives_layout == "with-right-sidebar" || $portfolio_archives_layout == "both-sidebar"){
				register_sidebar(array(
					'name' 			=>	esc_html__("Portfolio Archives Sidebar Right",'citrus'),
					'id'			=>	'custom-post-portfolio-archives-sidebar-right',
					'description'   =>  esc_html__("Portfolio archives sidebar that appears on the right.","citrus"),
					'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
					'after_widget' 	=> 	'</aside>',
					'before_title' 	=> 	'<h3 class="widgettitle">',
					'after_title' 	=> 	'</h3>'));
			}
			
		}
	endif;	
	
	#Search Page Layout
	$search_layout = dttheme_option('specialty','search-layout');
	$search_layout = !empty($search_layout) ? $search_layout : "content-full-width";
	if( $search_layout != "content-full-width" ){
		if( $search_layout == "with-left-sidebar" || $search_layout == "both-sidebar" ){
			register_sidebar(array(
				'name' 			=>	esc_html__("Search Sidebar Left",'citrus'),
				'id'			=>	'search-sidebar-left',
				'description'   =>  esc_html__("Search page sidebar that appears on the left.","citrus"),
				'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
				'after_widget' 	=> 	'</aside>',
				'before_title' 	=> 	'<h3 class="widgettitle">',
				'after_title' 	=> 	'</h3>'));
        }
		if( $search_layout == "with-right-sidebar" || $search_layout == "both-sidebar"){
			register_sidebar(array(
				'name' 			=>	esc_html__("Search Sidebar Right",'citrus'),
				'id'			=>	'search-sidebar-right',
				'description'   =>  esc_html__("Search page sidebar that appears on the right.","citrus"),
				'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
				'after_widget' 	=> 	'</aside>',
				'before_title' 	=> 	'<h3 class="widgettitle">',
				'after_title' 	=> 	'</h3>'));
		}		
	}
	
	
	#404 Page Layout
	$layout_404 = dttheme_option('specialty','not-found-404-layout');
	$layout_404 = !empty($layout_404) ? $layout_404 : "content-full-width";
	if( $layout_404 != "content-full-width" ){
		if( $layout_404 == "with-left-sidebar" || $layout_404 == "both-sidebar" ){
			register_sidebar(array(
				'name' 			=>	esc_html__('Not Found ( 404 ) Sidebar Left','citrus'),
				'id'			=>	'not-found-404-sidebar-left',
				'description'   =>  esc_html__("404 page sidebar that appears on the left.","citrus"),
				'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
				'after_widget' 	=> 	'</aside>',
				'before_title' 	=> 	'<h3 class="widgettitle">',
				'after_title' 	=> 	'</h3>'));
        }
		if( $layout_404 == "with-right-sidebar" || $layout_404 == "both-sidebar"){
			register_sidebar(array(
				'name' 			=>	esc_html__('Not Found ( 404 ) Sidebar Right','citrus'),
				'id'			=>	'not-found-404-sidebar-right',
				'description'   =>  esc_html__("404 page sidebar that appears on the right.","citrus"),
				'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
				'after_widget' 	=> 	'</aside>',
				'before_title' 	=> 	'<h3 class="widgettitle">',
				'after_title' 	=> 	'</h3>'));
		}		
	}


if( class_exists('woocommerce')	):

	#Custom Left Sidebars for Product
	$products = dttheme_option("widgetarea","left-products");
	$products = !empty($products) ? $products : array();
	$widget_areas_for_products = array_filter(array_unique($products));
	foreach($widget_areas_for_products as $id):
		$title = get_the_title($id);
		register_sidebar(array(
			'name' 			=>	"Product: {$title} - Left",
			'id'			=>	"left-product-{$id}-sidebar",
			'description'	=>  esc_html__("Individual product sidebar that appears on the left.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
	endforeach;

	#Custom Right Sidebars for Product
	$products = dttheme_option("widgetarea","right-products");
	$products = !empty($products) ? $products : array();
	$widget_areas_for_products = array_filter(array_unique($products));
	foreach($widget_areas_for_products as $id):
		$title = get_the_title($id);
		register_sidebar(array(
			'name' 			=>	"Product: {$title} - Right",
			'id'			=>	"right-product-{$id}-sidebar",
			'description'	=>  esc_html__("Individual product sidebar that appears on the right.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
	endforeach;


	#Custom Left Sidebars for Product Category
	$product_categories = dttheme_option("widgetarea","left-product-category");
	$product_categories = !empty($product_categories) ? $product_categories : array();
	$widget_areas_for_product_categories = array_filter(array_unique($product_categories));
	
	foreach($widget_areas_for_product_categories as $id):
	
		$title = $wpdb->get_var( $wpdb->prepare("SELECT name FROM $wpdb->terms  WHERE term_id = %s",$id));
		$slug  = $wpdb->get_var( $wpdb->prepare("SELECT slug FROM $wpdb->terms  WHERE term_id = %s",$id));	
		
		register_sidebar(array(
			'name' 			=>	"Product Category: {$title} - Left ",
			'id'			=>	"left-product-category-{$slug}-sidebar",
			'description'	=>  esc_html__("Individual product category sidebar that appears on the left.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
	endforeach;
	
	#Custom Right Sidebars for Product Category
	$product_categories = dttheme_option("widgetarea","right-product-category");
	$product_categories = !empty($product_categories) ? $product_categories : array();
	$widget_areas_for_product_categories = array_filter(array_unique($product_categories));
	
	foreach($widget_areas_for_product_categories as $id):
	
		$title = $wpdb->get_var( $wpdb->prepare("SELECT name FROM $wpdb->terms  WHERE term_id = %s",$id));
		$slug  = $wpdb->get_var( $wpdb->prepare("SELECT slug FROM $wpdb->terms  WHERE term_id = %s",$id));	
		
		register_sidebar(array(
			'name' 			=>	"Product Category: {$title} - Right ",
			'id'			=>	"right-product-category-{$slug}-sidebar",
			'description'	=>  esc_html__("Individual product category sidebar that appears on the right.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
	endforeach;

	#Custom Left Sidebars for Product Tag
	$product_tags = dttheme_option("widgetarea","left-product-tag");
	$product_tags = !empty($product_tags) ? $product_tags : array();
	$widget_areas_for_product_tags = array_filter(array_unique($product_tags));
	foreach($widget_areas_for_product_tags as $id):
		$title = $wpdb->get_var( $wpdb->prepare("SELECT name FROM $wpdb->terms  WHERE term_id = %s",$id));
		$slug  = $wpdb->get_var( $wpdb->prepare("SELECT slug FROM $wpdb->terms  WHERE term_id = %s",$id));	
		register_sidebar(array(
			'name' 			=>	"Product Tag: {$title} - Left",
			'id'			=>	"left-product-tag-{$slug}-sidebar",
			'description'	=>  esc_html__("Individual product tag sidebar that appears on the left.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
	endforeach;

	#Custom Right Sidebars for Product Tag
	$product_tags = dttheme_option("widgetarea","right-product-tag");
	$product_tags = !empty($product_tags) ? $product_tags : array();
	$widget_areas_for_product_tags = array_filter(array_unique($product_tags));
	foreach($widget_areas_for_product_tags as $id):
		$title = $wpdb->get_var( $wpdb->prepare("SELECT name FROM $wpdb->terms  WHERE term_id = %s",$id));
		$slug  = $wpdb->get_var( $wpdb->prepare("SELECT slug FROM $wpdb->terms  WHERE term_id = %s",$id));	
		register_sidebar(array(
			'name' 			=>	"Product Tag: {$title} - Right",
			'id'			=>	"right-product-tag-{$slug}-sidebar",
			'description'	=>  esc_html__("Individual product tag sidebar that appears on the right.","citrus"),
			'before_widget' => 	'<aside id="%1$s" class="widget %2$s">',
			'after_widget' 	=> 	'</aside>',
			'before_title' 	=> 	'<h3 class="widgettitle">',
			'after_title' 	=> 	'<span></span></h3>'));
	endforeach;

endif;?>