<!--general -->
<div id="general" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content">
        <ul class="sub-panel"> 
            <li><a href="#my-general"><?php esc_html_e("General",'citrus'); ?></a></li>
            <li><a href="#my-menus"><?php esc_html_e("Menus",'citrus'); ?></a></li>
            <li><a href="#my-advanced"><?php esc_html_e('Advanced', 'citrus'); ?></a></li>
        </ul>
        
        <!--my-general-->
        <div id="my-general" class="tab-content">
        
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                    <!-- Logo -->
                    <div class="box-title"><h3><?php esc_html_e('Logo','citrus'); ?></h3></div>
                    <div class="box-content">
                    
                    
                    	<div class="column three-fifth">
                            <div class="bpanel-option-set">
                                <?php $logo = array(
                                        'id'=>		'logo',
                                        'options'=>		array(
                                                            'true'	=> esc_html__('Custom Image Logo','citrus'),
                                                             ''=> 	sprintf( esc_html__('Display Site Title %s(click here to edit site title)%s','citrus'), '<small><a href="options-general.php">', '</a></small>' )
                                                            )
                                        );

                                        $output = "";
                                        $i = 0;
                                        foreach($logo['options'] as $key => $option):
                                            $checked = ( $key ==  dttheme_option('general',$logo['id']) ) ? ' checked="checked"' : '';
                                            $output .= "<label><input type='radio' name='mytheme[general][$logo[id]]' value='{$key}'  $checked />$option</label>";
                                            if($i == 0):
                                                $output .='<div class="clear"></div>';
                                            endif;
                                        $i++;
                                        endforeach;
                                        echo "{$output}";?>
                          </div><!-- .bpanel-option-set end-->
                      
                        </div>
                        
                        <div class="column two-fifth last">
                            <p class="note"><?php esc_html_e('You can choose whether you wish to display a custom logo or your site title.','citrus'); ?></p>
                        </div>  
                        
                        <div class="hr"> </div>

                        <h6><?php esc_html_e('Logo','citrus'); ?></h6>  
                        <div class="image-preview-container">
                            <input id="mytheme-logo" name="mytheme[general][logo-url]" type="text" class="uploadfield" readonly="readonly"
                                    value="<?php echo  dttheme_option('general','logo-url'); ?>" />
                            <input type="button" value="<?php esc_attr_e('Upload','citrus'); ?>" class="upload_image_button show_preview" />
                            <input type="button" value="<?php esc_attr_e('Remove','citrus'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','logo-url'),false,'logo.png'); ?>
                        </div>
                        
                        <p class="note"> <?php esc_html_e('Upload a logo for your theme, or specify the image address of your online logo.','citrus'); ?> </p>
                        
                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Retina Logo','citrus'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-retina-logo" type="text" name="mytheme[general][retina-logo-url]" class="uploadfield" readonly="readonly" 
                            value="<?php echo dttheme_option('general','retina-logo-url'); ?>"/>
                          <input type="button" value="<?php esc_attr_e('Upload','citrus'); ?>" class="upload_image_button show_preview" />
                          <input type="button" value="<?php esc_attr_e('Remove','citrus'); ?>" class="upload_image_reset" />
                          <?php dttheme_adminpanel_image_preview(dttheme_option('general','retina-logo-url'),false,'logo@2x.png'); ?>
                        </div>

                        <p class="note"><?php esc_html_e('Upload a retina logo for your theme, or specify the image address of your online logo.','citrus'); ?></p>
                        
                        <div class="clear"></div>
                        
                        <div class="one-half-content">
                        	<h6><?php esc_html_e('Width','citrus'); ?></h6>
                            <input type="text" class="medium" name="mytheme[general][retina-logo-width]" value="<?php echo dttheme_option('general','retina-logo-width'); ?>" />
							<?php esc_html_e('px','citrus'); ?>
                        </div>    

                        <div class="one-half-content last">
                        	<h6><?php esc_html_e('Height','citrus'); ?></h6>
                            <input type="text" class="medium" name="mytheme[general][retina-logo-height]" value="<?php echo dttheme_option('general','retina-logo-height'); ?>"/>
                            <?php esc_html_e('px','citrus'); ?>
                        </div>    
                        <p class="note"><?php esc_html_e('If retina logo is uploaded, enter the standard logo width and height in above respective boxes.','citrus'); ?></p>
                        <div class="clear"></div>

                        <div class="column one-half">
                        <?php $label =      esc_html__("Site Title Color",'citrus');
                              $name  =      "mytheme[general][styling-site-title-color]";    
                              $value =      (dttheme_option('general','styling-site-title-color') != NULL) ? dttheme_option('general','styling-site-title-color') :"#000000";
                              $tooltip =    esc_html__("Pick a custom color for site title e.g. #551256",'citrus'); ?>
                              <h6><?php echo esc_html( $label ); ?></h6>
                              <?php dttheme_admin_color_picker("",$name,$value,''); ?>
                              <p class="note"><?php echo esc_html( $tooltip ); ?></p>
                        </div>
                        
                    </div> <!-- Logo End -->

                    <!-- Favicon -->
                    <div class="box-title">
                        <h3><?php esc_html_e('Favicon','citrus'); ?></h3>
                    </div>
                    <div class="box-content">
                    	<h6> <?php esc_html_e('Enable Favicon','citrus'); ?> </h6> 
                        
                        <div class="column one-fifth">
                        <?php $checked = ( "true" ==  dttheme_option('general','enable-favicon') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  dttheme_option('general','enable-favicon') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="enable-favicon" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                            <input class="hidden" id="enable-favicon" name="mytheme[general][enable-favicon]" type="checkbox" 
                            value="true" <?php echo "{$checked}";?> />
                        </div>
                        <div class="column four-fifth last"></div>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Custom Favicon','citrus'); ?></h6>
                          <div class="image-preview-container">
                            <input id="mytheme-favicon" name="mytheme[general][favicon-url]" type="text" class="uploadfield"  readonly="readonly"
                                value="<?php echo  dttheme_option('general','favicon-url'); ?>" />
                            <input type="button" value="<?php esc_attr_e('Upload','citrus'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_attr_e('Remove','citrus'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','favicon-url'),false,'favicon.png'); ?>
                          </div>
                          <p class="note"> <?php esc_html_e('Upload a favicon for your theme, or specify the oneline URL for favicon','citrus'); ?>  </p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPhone Icon','citrus'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-favicon]" type="text" class="uploadfield" readonly="readonly"
                            value="<?php echo dttheme_option('general','apple-favicon'); ?>"/>
                            <input type="button" value="<?php esc_attr_e('Upload','citrus'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_attr_e('Remove','citrus'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-favicon'),false,'apple-touch-icon.png'); ?>
                        </div>
                        <p class="note"> <?php esc_html_e('Upload your custom iPhone icon (57px by 57px), or specify the oneline URL for favicon','citrus'); ?>  </p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPhone Retina Icon','citrus'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-retina-favicon]" type="text" class="uploadfield" readonly="readonly"
                            value="<?php echo dttheme_option('general','apple-retina-favicon'); ?>"/>
                            <input type="button" value="<?php esc_attr_e('Upload','citrus'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_attr_e('Remove','citrus'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-retina-favicon'),false,'apple-touch-icon-114x114.png'); ?>
                        </div>
                        <p class="note"><?php esc_html_e('Upload your custom iPhone retina icon (114px by 114px), or specify the oneline URL for favicon','citrus'); ?></p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPad Icon','citrus'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-ipad-favicon]" type="text" class="uploadfield" readonly="readonly"
                            value="<?php echo dttheme_option('general','apple-ipad-favicon'); ?>"/>
                            <input type="button" value="<?php esc_attr_e('Upload','citrus'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_attr_e('Remove','citrus'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-ipad-favicon'),false,'apple-touch-icon-72x72.png'); ?>
                        </div>
                        <p class="note"> <?php esc_html_e('Upload your custom iPad icon (72px by 72px), or specify the oneline URL for favicon','citrus'); ?>  </p>

                        <div class="hr"></div>
                        <div class="clear"></div>
                        <h6><?php esc_html_e('Apple iPad Retina Icon','citrus'); ?></h6>
                        <div class="image-preview-container">
                          <input id="mytheme-apple-icon" name="mytheme[general][apple-ipad-retina-favicon]" type="text" class="uploadfield" readonly="readonly"
                            value="<?php echo dttheme_option('general','apple-ipad-retina-favicon'); ?>"/>
                            <input type="button" value="<?php esc_attr_e('Upload','citrus'); ?>" class="upload_image_button" />
                            <input type="button" value="<?php esc_attr_e('Remove','citrus'); ?>" class="upload_image_reset" />
                            <?php dttheme_adminpanel_image_preview(dttheme_option('general','apple-ipad-retina-favicon'),false,'apple-touch-icon-144x144.png'); ?>
                        </div>
                        <p class="note"><?php esc_html_e('Upload your custom iPad retina icon (144px by 144px), or specify the oneline URL for favicon','citrus'); ?></p>

                    </div> <!-- Favicon End -->

                    <!-- Others -->
                    <div class="box-title"><h3><?php esc_html_e('Others', 'citrus'); ?></h3></div>
                    <div class="box-content">


                      <h6><?php esc_html_e('Enable Dark Layout','citrus'); ?></h6>
                      <div class="column one-fifth">
                        <?php $checked = ( "true" ==  dttheme_option('general','enable-dark-layout') ) ? ' checked="checked"' : ''; ?>
                        <?php $switchclass = ( "true" ==  dttheme_option('general','enable-dark-layout') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-enable-dark-layout" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                        <input class="hidden" id="mytheme-enable-dark-layout" name="mytheme[general][enable-dark-layout]" type="checkbox" value="true" <?php echo "{$checked}";?>/>
                      </div>
                      <div class="column four-fifth last">
                        <p class="note"><?php esc_html_e('YES! to enable dark layout for whole theme','citrus'); ?></p>
                      </div>
                      <div class="clear"> </div>
                      <div class="hr"></div>


                      <h6> <?php esc_html_e('Enable Sticky Navigation','citrus'); ?></h6>
                    
                      <div class="column one-fifth">
                        	<?php $checked = ( "true" ==  dttheme_option('general','enable-sticky-nav') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  dttheme_option('general','enable-sticky-nav') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="mytheme-enable-sticky-nav" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                            <input class="hidden" id="mytheme-enable-sticky-nav" name="mytheme[general][enable-sticky-nav]" type="checkbox" 
                            value="true" <?php echo "{$checked}";?> />
                        </div>
                        
                        <div class="column four-fifth last">
                            <p class="note"><?php esc_html_e('YES! to enable sticky navigation. This option is applicable only for header without animation.','citrus'); ?> </p>
                        </div>
                        
                        <div class="clear"> </div>
                        <div class="hr"></div>


                      <h6> <?php esc_html_e('Globally Disable Comments on Pages','citrus'); ?> </h6>
                      <div class="column one-fifth">
                      	<?php $checked = ( "true" ==  dttheme_option('general','disable-page-comment') ) ? ' checked="checked"' : ''; ?>
                        <?php $switchclass = ( "true" ==  dttheme_option('general','disable-page-comment') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-page-comment" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                        <input class="hidden" id="mytheme-global-page-comment" name="mytheme[general][disable-page-comment]" type="checkbox" value="true" <?php echo "{$checked}";?> />
                      </div>
                      <div class="column four-fifth last">
                      	<p class="note no-margin"><?php 
							esc_html_e('YES! to disable comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings. ','citrus'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      
                      
                      <h6><?php esc_html_e('Globally Disable Comments on Posts','citrus'); ?></h6>
                      <div class="column one-fifth">
                      	<?php $checked = ( "true" ==  dttheme_option('general','global-post-comment') ) ? ' checked="checked"' : ''; ?>
                        <?php $switchclass = ( "true" ==  dttheme_option('general','global-post-comment') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-post-comment" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                        <input class="hidden" id="mytheme-global-post-comment" name="mytheme[general][global-post-comment]" type="checkbox" value="true" <?php echo "{$checked}";?> />
                      </div>
                      <div class="column four-fifth last">
                      	<p class="note no-margin"><?php 
							esc_html_e('YES! to disable comments on all the posts. This will globally override your "Allow comments" option under your post "Discussion" settings. ','citrus'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      

                      <h6><?php esc_html_e('Globally Disable Comments on Portfolios','citrus'); ?></h6>
                      <div class="column one-fifth">
                      	<?php $checked = ( "true" ==  dttheme_option('general','disable-portfolio-comment') ) ? ' checked="checked"' : ''; ?>
                        <?php $switchclass = ( "true" ==  dttheme_option('general','disable-portfolio-comment') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-portfolio-comment" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                        <input class="hidden" id="mytheme-global-portfolio-comment" name="mytheme[general][disable-portfolio-comment]" type="checkbox" value="true" <?php echo "{$checked}";?> />
                      </div>
                      
                      <div class="column four-fifth last">
                      	<p class="note"><?php esc_html_e('Enable/ Disable comments on portfolio pages.','citrus'); ?> </p>
                      </div>
                      <div class="hr"></div>
                        
                      <h6><?php esc_html_e('Globally Disable Breadcrumb','citrus'); ?></h6>
                      <div class="column one-fifth">
                        	<?php $checked = ( "true" ==  dttheme_option('general','disable-breadcrumb-globally') ) ? ' checked="checked"' : ''; ?>
                            <?php $switchclass = ( "true" ==  dttheme_option('general','disable-breadcrumb-globally') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                            <div data-for="mytheme-disable-breadcrumb-globally" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                            <input class="hidden" id="mytheme-disable-breadcrumb-globally" name="mytheme[general][disable-breadcrumb-globally]" type="checkbox" value="true" <?php echo "{$checked}";?> />
                        </div>
                        <div class="column four-fifth last">
                        	<p class="note"><?php esc_html_e('Enable/ Disable breadcrumbs for all pages here.','citrus'); ?> </p>
                        </div>
                        <div class="hr"></div>

                      <!-- Breadcrumb -->
                      <h6><?php esc_html_e('Breadcrumb Delimiter','citrus'); ?></h6>
                      <select id="mytheme-breadcrumb-delimiter" name="mytheme[general][breadcrumb-delimiter]"><?php 
                        $breadcrumb_icons = array('default','fa-angle-double-right','fa-sort','fa-angle-right','fa-caret-right','fa-arrow-right','fa-chevron-right','fa-plus','fa-hand-o-right','fa-arrow-circle-right');
                            foreach($breadcrumb_icons as $breadcrumb_icon):
                                $s = selected(dttheme_option('general','breadcrumb-delimiter'),$breadcrumb_icon,false);
                                echo "<option $s >$breadcrumb_icon</option>";
                            endforeach;?></select>
                            <p class="note"><?php esc_html_e('This is the symbol that will appear in between your breadcrumbs','citrus'); ?></p>
                      <div class="hr"></div>
                      <!-- Breadcrumb -->
                      
                      <!-- Disable placeholder images -->
                      <h6><?php esc_html_e('Globally disable placeholder images','citrus'); ?></h6>
                      <div class="column one-fifth">
                        <?php $switchclass = ( "on" ==  dttheme_option('general','disable-placeholder-images') ) ? 'checkbox-switch-on' :'checkbox-switch-off';?>
                        <div data-for="mytheme-disable-placeholder-images" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                        <input class="hidden" id="mytheme-disable-placeholder-images" name="mytheme[general][disable-placeholder-images]" type="checkbox" <?php checked(dttheme_option('general','disable-placeholder-images'),'on'); ?>/>
                      </div>
                      <div class="column four-fifth last">
                        <p class="note"><?php esc_html_e('Check if you do not want to diaplay placeholder images','citrus'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      <!-- Disable placeholder images -->

                      <!-- Browser Scroll -->
                      <h6><?php esc_html_e('Disable browser custom scroll','citrus'); ?></h6>
                      <div class="column one-fifth">
                        <?php $switchclass = ( "on" ==  dttheme_option('general','disable-custom-scroll') ) ? 'checkbox-switch-on' :'checkbox-switch-off';?>
                        <div data-for="mytheme-browesr-scroll-disable" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                        <input class="hidden" id="mytheme-browesr-scroll-disable" name="mytheme[general][disable-custom-scroll]" type="checkbox"<?php checked(dttheme_option('general','disable-custom-scroll'),'on'); ?>/>
                      </div>
                      <div class="column four-fifth last">
                        <p class="note"><?php esc_html_e('Check if you do not want disable the browser custom scrollbar :)','citrus'); ?> </p>
                      </div>
                      <div class="hr"></div>
                      <!-- Browser Scroll -->
                      
                      <h6><?php esc_html_e('Disable Style Picker','citrus'); ?></h6>
                      <div class="column one-fifth">
                      	<?php $switchclass = ( "on" ==  dttheme_option('general','disable-picker') ) ? 'checkbox-switch-on' :'checkbox-switch-off'; ?>
                        <div data-for="mytheme-global-disable-picker" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                        <input class="hidden" id="mytheme-global-disable-picker" name="mytheme[general][disable-picker]" type="checkbox" <?php checked(dttheme_option('general','disable-picker'),'on'); ?>/>                      </div>
                      <div class="column four-fifth last">
                      	<p class="note"><?php esc_html_e('YES! to hide the front end style picker','citrus'); ?> </p>
                      </div>
                      <div class="hr"></div>

                      <h6><?php esc_html_e('Google Font Subset','citrus'); ?></h6>
                      <div class="column one-half">
                      	<input id="mytheme-google-font-subset" name="mytheme[general][google-font-subset]" type="text" value="<?php echo dttheme_option('general','google-font-subset'); ?>"/>
                      </div>
                      
                      <div class="column one-half last">
                      	<p class="note no-margin"><?php esc_html_e('Specify which subsets should be downloaded. Multiple subsets should be separated with coma','citrus'); ?></p>
                      </div>
                      
                      <div class="clear"> </div>
                      <div class="hr-invisible-small"> </div>
                      <p class="note"><?php esc_html_e('Some of the fonts in the Google Font Directory supports multiple scripts (like Latin and Cyrillic for example). In order to specify which subsets should be downloaded the subset parameter should be appended to the URL. For a complete list of available fonts and font subsets please see','citrus'); 
							echo " <a href='http://www.google.com/webfonts'>Google Web Fonts</a>";?> </p>
                      <div class="hr"></div>
                      <div class="clear"> </div>
                      
                      <h6><?php esc_html_e('Mailchimp API KEY','citrus'); ?></h6>
                      <div class="column one-half">
                      	<input id="mytheme-mailchimp-key" name="mytheme[general][mailchimp-key]" type="text" value="<?php echo dttheme_option('general','mailchimp-key'); ?>" />
                      </div>
                      
                      <div class="column one-half last">
                      	<p class="note no-margin"><?php esc_html_e('Paste your mailchimp api key that will be used by the mailchimp widget.','citrus'); ?></p>
                      </div>
 
                    </div>                                            
                    
            </div><!-- .bpanel-box end-->
        </div><!--my-general end-->
        
        <div id="my-menus" class="tab-content">
            <div class="bpanel-box">
                <div class="box-title"><h3><?php esc_html_e('Menus','citrus'); ?></h3></div>
                
                <div class="box-content">

                    <div class="bpanel-option-set">
                         <input type="button" value="<?php esc_attr_e('Add New Menu','citrus'); ?>" class="black mytheme_add_item" />
                    </div>
                    
                    <div class="bpanel-option-set">
                        <ul class="menu-to-edit">
							<?php 
                            $menus = dttheme_option('menus');
                            if(is_array($menus)): 
								$keys = array_keys($menus);
								$i=0;
								foreach($menus as $s):
								?>
								<li id="<?php echo esc_attr( $keys[$i] ); ?>">
                                    <div class="item-bar">
                                        <span class="item-title">
											<?php
                                            $n = explode('-',$keys[$i]);
                                            $title = '';
                                            foreach($n as $x) {
												$title .= ucfirst($x).' '; 	
                                            }
                                            echo "{$title}";
                                            ?>
                                        </span>
                                        <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit','citrus'); ?></a></span>
                                    </div>
                                    <div class="item-content" style="display: none;">
                                        <span>
                                        <label><?php esc_html_e('Menu','citrus'); ?></label>
                                        <input type="text" class="social-link" name="mytheme[menus][<?php echo esc_attr( $keys[$i] ); ?>]" value="<?php echo esc_attr( $s ); ?>"/>
                                        </span>
                                        <div class="remove-cancel-links">
                                            <span class="remove-item"><?php esc_html_e('Remove','citrus'); ?></span>
                                            <span class="meta-sep"> | </span>
                                            <span class="cancel-item"><?php esc_html_e('Cancel','citrus'); ?></span>
                                        </div>
                                    </div>
								</li>
								<?php 
								$i++;
							endforeach; endif;
							?> 
                        </ul>
                        
                        <ul class="sample-to-edit" style="display:none;">
                        	<!-- Social Item -->
                            <li>
                            	<!-- .item-bar -->
                            	<div class="item-bar">
                                	<span class="item-title"><?php esc_html_e('Menu','citrus'); ?></span>
                                    <span class="item-control"><a class="item-edit"><?php esc_html_e('Edit','citrus'); ?></a></span>
                                </div><!-- .item-bar -->
                                <!-- .item-content -->
                                <div class="item-content">                                
                                    <span><label><?php esc_html_e('Menu Name','citrus'); ?></label><input type="text" class="menu-name" /></span>
                                    <div class="remove-cancel-links">
                                        <span class="remove-item"><?php esc_html_e('Remove','citrus'); ?></span>
                                        <span class="meta-sep"> | </span>
                                        <span class="cancel-item"><?php esc_html_e('Cancel','citrus'); ?></span>
                                    </div>
                                </div><!-- .item-content end -->
                            </li><!-- Social Item End-->
                        </ul>
                        
                    </div>
                </div>

           </div>
        </div>
        
        <div id="my-advanced" class="tab-content">
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Global Page Layouts','citrus'); ?></h3>
                </div>
                <div class="box-content">
                
                    <div class="bpanel-option-set">
                        <h6><?php esc_html_e('Force to Enable Global Page Layout','citrus'); ?></h6>
                        <?php dttheme_switch("",'general','force-enable-global-layout'); ?>
                        <p class="note"> <?php esc_html_e('Enable or Disable global page layout ("Disaplay Everywhere" sidebar) for all pages, posts, archive pages.','citrus'); ?>  </p>
                    </div>
                    <div class="clear"> </div>
                    <div class="hr"> </div>
                
                    <div class="bpanel-option-set">
                        <ul class="bpanel-post-layout bpanel-layout-set" id="dt-global-page">
                        <?php $layout = array('content-full-width'=>'without-sidebar','with-left-sidebar'=>'left-sidebar','with-right-sidebar'=>'right-sidebar');
                        foreach($layout as $key => $value):
                            $class = ( $key ==  dttheme_option('general',"global-page-layout")) ? " class='selected' " : "";
                            echo "<li><a href='#' rel='{$key}' {$class}><img src='".IAMD_FW_URL."theme_options/images/columns/{$value}.png' /></a></li>";
                        endforeach; ?>
                        </ul>
                        <input id="mytheme[general][global-page-layout]" name="mytheme[general][global-page-layout]" type="hidden" value="<?php echo dttheme_option('general',"global-page-layout"); ?>"/>
                    </div>
                        
                </div> 
            </div>
        </div>        
        
   </div><!-- .bpanel-main-content end-->
</div><!--general end