<!--pagebuilder -->
<div id="pagebuilder" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content">
        <ul class="sub-panel"> 
            <li><a href="#my-pagebuilder"><?php esc_html_e("Page Builder",'citrus'); ?></a></li>
        </ul>
        

        <!--my-pagebuilder-->
        <div id="my-pagebuilder" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php esc_html_e('Page Builder','citrus'); ?></h3>
                </div>
                
                <?php
				$dt_pb_status = class_exists( 'DTCorePlugin' );
				if($dt_pb_status) {
					
				?>
                <div class="box-content">
                
                    <div class="bpanel-option-set">

                         <h6><?php esc_html_e('Choose any of these post types to activate page builder','citrus'); ?></h6>
                         
						<?php

						$custom_post_types = array( 'post' => 'Post', 'page' => 'Page', 'dt_portfolios' => 'Portfolio' );
						
                        foreach ( $custom_post_types as $post_type_key => $post_type_name ){
							$switchclass = ( $post_type_key ==  dttheme_option('pagebuilder', $post_type_key) ) ? 'checkbox-switch-on' :'checkbox-switch-off';
                            $post_type_object = get_post_type_object( $post_type_key );
                            $singular_name = $post_type_object->labels->singular_name;?>
                            <div class="column one-third"><label><?php echo esc_html( $singular_name ); ?></label></div>
                            <div class="column two-third last">
                                 <div data-for="mytheme-<?php echo esc_attr( $post_type_key ); ?>" class="checkbox-switch <?php echo esc_attr( $switchclass ); ?>"></div>
                                 <input class="hidden" id="mytheme-<?php echo esc_attr( $post_type_key ); ?>" name="mytheme[pagebuilder][<?php echo esc_attr( $post_type_key ); ?>]" type="checkbox" value="<?php echo esc_attr( $post_type_key ); ?>"
                                 <?php checked(dttheme_option('pagebuilder',$post_type_key),$post_type_key); ?>/>
                            </div>
                    
							<?php
                        }
                        
                        ?>
                         
                         <div class="hr"></div>

                    </div><!-- .bpanel-option-set -->
 
                    <div class="bpanel-option-set">

                         <?php
						 $checked = ( true ==  dttheme_option('pagebuilder','enable-pagebuilder') ) ? ' checked="checked"' : '';
						 $pb_switchclass = ( true ==  dttheme_option('pagebuilder', 'enable-pagebuilder') ) ? 'checkbox-switch-on' :'checkbox-switch-off';
						?>
                         <h6><?php esc_html_e('Keep page builder active in above selected post types','citrus'); ?></h6>
                         <div data-for="mytheme-enable-pagebuilder" class="checkbox-switch <?php echo esc_attr( $pb_switchclass ); ?>"></div>
                         <input class="hidden" id="mytheme-enable-pagebuilder" name="mytheme[pagebuilder][enable-pagebuilder]" type="checkbox" value="true" <?php echo "{$checked}"; ?>/>
                         
                        <div class="hr"></div>

                    </div><!-- .bpanel-option-set -->
                    
                    <div class="bpanel-option-set">
                    
                         <?php
						if(dttheme_option('pagebuilder_update') == 'done') { $disable_cls = 'disabled'; }
						else { $disable_cls = ''; }
						?>
                        <h6><?php esc_html_e('Update page contents for latest page builder', 'citrus'); ?></h6>
                        <input type="button" value="<?php esc_attr_e('Update Content','citrus'); ?>" data-pagebuilder-update-contents-nonce="<?php echo wp_create_nonce('pagebuilder_update_contents_nonce'); ?>" class="dt_update_pagebuilder_contents <?php echo esc_attr( $disable_cls ); ?>" />
						<p class="note"><?php esc_html_e('Latest page builder update needs your content to be updated. Please click the above button to update it. It may take while please be patient.','citrus'); ?></p>
                        <div class="hr"></div>
						
					</div>
                    
                </div> <!-- .box-content -->
                
                <?php } else { ?>
            	
                	<div class="bpanel-box">
                    	 <div class="bpanel-option-set">
                            <p class="note"><?php esc_html_e('Please activate "DesignThemes Core Features Plugin" to get the Page Builder options.','citrus'); ?></p>
                        </div>
                    </div>
                
                <?php } ?>
            
            </div><!-- .bpanel-box end -->
            
            
        </div><!--my-footer end-->
        
    </div><!-- .bpanel-main-content end-->
</div><!--general end-->